net.corda.core.node.services

## Class MapChange.Modified

- net.corda.core.node.services.NetworkMapCache.MapChange
- - net.corda.core.node.services.NetworkMapCache.MapChange.Modified

- Enclosing class:
    NetworkMapCache.MapChange

      public static class MapChange.Modified
      extends NetworkMapCache.MapChange

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.node.services.NetworkMapCache.MapChange

      `MapChange.Added, MapChange.Modified, MapChange.Removed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Modified(NodeInfo node, NodeInfo previousNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeInfo` | `getPreviousNode()`

    - ### Methods inherited from class net.corda.core.node.services.NetworkMapCache.MapChange

      `getNode`

- - ### Constructor Detail

    - #### Modified

          public Modified(NodeInfo node,
                          NodeInfo previousNode)

  - ### Method Detail

    - #### getPreviousNode

          public NodeInfo getPreviousNode()